<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.kit.edu/FeatureCatalogue/1.0"
    xmlns:doc="http://www.kit.edu/FeatureCatalogue/1.0" version="1.0">
    
    <xsl:output method="html" version="4.01" encoding="UTF-8"/>
    
    <xsl:template match="doc:FeatureList">
        <html>  
            <head>
            <title>Feature type</title>    
                
            <style type="text/css">
                        
             <xsl:text disable-output-escaping="yes">
p {
     font-family: Arial, Helvetica, sans-serif;
     font-size: 12px;
     margin-bottom: 0px;
     margin-top: 0px;
  }
</xsl:text>
   </style>          
      </head>
            <body bgcolor="#FFFFCC">

                <p><strong>Feature catalogue</strong></p>
                
                <xsl:for-each select="doc:featureType">
                    <p>
                    <a>
                        <xsl:attribute name="href">
                            <xsl:value-of select="doc:featureFile"/>   
                        </xsl:attribute>    
                        <xsl:attribute name="target">mainFrame</xsl:attribute>    
                        <xsl:value-of select="doc:featureName"/>
                    </a> 
                    </p>                        
                </xsl:for-each>
            


        
        </body>
        </html>
    </xsl:template>
    
</xsl:stylesheet>
